const { Card, Container, refContainer, world, globalEvents } = require('@tabletop-playground/api');

function scoreCard(card) {
    const parts = card.getCardDetails().name.split(" ");
    const value = parts[0]
    if( value==="5") {
        return 5
    }
    if( value==="10" || value==="King" ) {
        return 10
    }
    if( value==="Dragon" ) {
        return 25
    }
    if( value==="Phoenix") {
        return -25
    }
}

function scoreItems(container) {
    let score = 0

    const items = container.getItems();
    items.forEach(function(item){
        if( item instanceof Card ) {
            score += scoreCard(item);
        } else if( item instanceof Container) {
            score += scoreItems(container)
        }
    })

    return score
}

refContainer.onInserted.add(function(holder, insertedCard, player, index) {
    const score = scoreItems(refContainer);
    console.log("Score: "+score);
})
refContainer.onRemoved.add(function(holder, removedCard, player) {
    const score = scoreItems(refContainer);
    console.log("Score: "+score);
})